GNU bug report logs - #1795
shell problem

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: relson@osage; merged with #5007, #8027, #36103; dated Mon, 5 Jan 2009 23:10:05 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 1795 <at> debbugs.gnu.org:


Received: (at 1795) by debbugs.gnu.org; 8 May 2022 14:01:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 08 10:01:09 2022
Received: from localhost ([127.0.0.1]:54898 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nnhTB-0002xM-B0
	for submit <at> debbugs.gnu.org; Sun, 08 May 2022 10:01:09 -0400
Received: from quimby.gnus.org ([95.216.78.240]:59504)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>)
 id 1nnhT9-0002wu-83; Sun, 08 May 2022 10:01:08 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=RiYD/XK2ProPvaPug1w1ognhdf9yZrGZM2avQqUqEj4=; b=rt7Jl9IEhMdY0JZtpmDKOFu55K
 wiyOxCya+b+lBn2ZFr76mKFL8AVyoZTK7oX8rEZqS/4+XJ0j6uwenXyT5ZseUHUri6jVZjn/9Fkir
 clEuUiCzCk77imrTEou29py3cYtXtw5eL8R+p5YG7nLJaPrEVPrFAx6LZdYVe/P1XdO4=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nnhT0-0000po-1y; Sun, 08 May 2022 16:01:00 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: relson@osage
Subject: Re: bug#36103: 24.5; Blank spaces around parentheses in history
 expansion in shell mode
References: <20090105230025.440AA7BC87@HIDDEN>
X-Now-Playing: Pet Shop Boys's _Discovery (1)_: "audio_11.mp3"
Date: Sun, 08 May 2022 16:00:57 +0200
In-Reply-To: <20090105230025.440AA7BC87@HIDDEN>
 (relson@osage's message of "Mon, 5 Jan 2009 18:00:25 -0500")
Message-ID: <877d6wf7ja.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  relson@osage writes: > Within an emacs bash shell, using "!!"
 to re-execute a command with > "$( ... )" in it results in a space inserted
 between the dollar sign > and the left paren. The inserted space should _not_
 be pr [...] 
 Content analysis details:   (-0.8 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 2.1 TO_MALFORMED           To: has a malformed address
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
 0.0 DC_PNG_UNO_LARGO       Message contains a single large png image
X-Spam-Score: -2.2 (--)
X-Debbugs-Envelope-To: 1795
Cc: 36103 <at> debbugs.gnu.org, 1795 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.2 (---)

--=-=-=
Content-Type: text/plain

relson@osage writes:

> Within an emacs bash shell, using "!!" to re-execute a command with
> "$( ... )" in it results in a space inserted between the dollar sign
> and the left paren.  The inserted space should _not_ be present.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I'm unable to reproduce this in any Emacs versions I have (Emacs 25.1
and up):


--=-=-=
Content-Type: image/png
Content-Disposition: inline
Content-Transfer-Encoding: base64
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--=-=-=
Content-Type: text/plain


Are you still seeing this problem in recent Emacs versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1795; Package emacs. Full text available.
Merged 1795 5007 8027 36103. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 1795 <at> debbugs.gnu.org:


Received: (at 1795) by debbugs.gnu.org; 26 Jan 2016 04:55:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 25 23:55:08 2016
Received: from localhost ([127.0.0.1]:36517 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aNvem-0001Ac-9z
	for submit <at> debbugs.gnu.org; Mon, 25 Jan 2016 23:55:08 -0500
Received: from mail-qg0-f51.google.com ([209.85.192.51]:33059)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <ahyatt@HIDDEN>)
 id 1aNvei-00019s-Iw; Mon, 25 Jan 2016 23:55:04 -0500
Received: by mail-qg0-f51.google.com with SMTP id b35so126769181qge.0;
 Mon, 25 Jan 2016 20:55:04 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-type;
 bh=nKEvDqeXwXKND/+020aRGzM6osMC5gaflQlM/loSI2U=;
 b=Lo1KRewxu+PlBGiXgfGt9WCcUEhCnzDH5ADuwuTuNFASUz6uxc//pM9pfxQiMnJklx
 rXEeeKrwvuV4Hbck2hKhDV7mvudnccUFAvaitXJISbJsYN41W4K1sJopiyrvfSRT/HYA
 Gkwv998XPpUWp9Q09/a/Ji/VLVMVyBzxLS58to5zh+vphU24NhrmwClhRz2uWPy1Wq25
 hEW6Fz9LyD0L8vmEIQjPnJREng5tipQ2Yt0cUJdG7t6TVUJ6o9ECcWUUsUuIX8ACnQAq
 dAVtvKWN5C+2rci5ZuJMbW+KWrQIWOI1SWU8jC20u7LVJe0HowhDSaCfkIG70HSDxjxy
 +2qw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-type;
 bh=nKEvDqeXwXKND/+020aRGzM6osMC5gaflQlM/loSI2U=;
 b=QIWuOR2Nvqp5XVHzAUr8B+5+1RsQLb1kwRu/m5YoUXz8ehS+z0PGZngBD/udRUJtSt
 1qvCCgOKYGs70YHFvWhZU8sFbPZaS6WQNO/1VKSaoQ8wRmImzp3D3JtUBBLs6A9xMVNr
 BmUBV/yZ8ClJOHM/v+P7lzJ7rpoA5EP/T6iRjMbPi8skhKu+rGnfAcjek3QFxmjkY/SM
 tTsm4vlVEYef7TlDnQ4857dKu620aaqhebu/+eBn2kfEKkjKMPIoLWlmn60h/wDyQAQ0
 fPRnLbojzV4j4pDADH0PqVPbTn5knC5S3nDvmOkmjSLyoYF7MaDWsSA5vzRY4qmrNql4
 UDIw==
X-Gm-Message-State: AG10YOQ8xCsQhQgNk9THy/JDwzM1R/MlOiHZvxReNMukoLGwWhuMiu/6lF70IWEAoj6tCg==
X-Received: by 10.140.253.3 with SMTP id y3mr27358835qhc.39.1453784099014;
 Mon, 25 Jan 2016 20:54:59 -0800 (PST)
Received: from Andrews-MacBook-Pro.local.ahyatt-laptop
 (cpe-74-73-128-199.nyc.res.rr.com. [74.73.128.199])
 by smtp.gmail.com with ESMTPSA id u78sm10150349qge.27.2016.01.25.20.54.57
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 25 Jan 2016 20:54:58 -0800 (PST)
From: Andrew Hyatt <ahyatt@HIDDEN>
To: help-debbugs@HIDDEN (GNU bug Tracking System)
Subject: Re: bug#8027: closed (Re: bug#8027: 23.2;
 shell problem with $( and !!)
References: <nl1v375k1q.fsf@HIDDEN>
 <87d3mwwwgv.fsf@HIDDEN>
 <handler.8027.D8027.129791850130793.notifdone <at> debbugs.gnu.org>
Date: Mon, 25 Jan 2016 23:54:56 -0500
In-Reply-To: <handler.8027.D8027.129791850130793.notifdone <at> debbugs.gnu.org>
 (GNU bug Tracking System's message of "Thu, 17 Feb 2011 04:55:02 +0000")
Message-ID: <m2twm12b4v.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 1795
Cc: 1795 <at> debbugs.gnu.org, 8027 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)


This bug has been re-opened due to duplicates, but I'd just like to also
point out that I just tried this Emacs 25, and can reproduce the
original problem.

help-debbugs@HIDDEN (GNU bug Tracking System) writes:

> Your bug report
>
> #8027: 23.2; shell problem with $( and !!
>
> which was filed against the emacs package, has been closed.
>
> The explanation is attached below, along with your original report.
> If you require more details, please reply to 8027 <at> debbugs.gnu.org.
>
> -- 
> 8027: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8027
> GNU Bug Tracking System
> Contact help-debbugs@HIDDEN with problems
>
> From: Glenn Morris <rgm@HIDDEN>
> Subject: Re: bug#8027: 23.2; shell problem with $( and !!
> To: 8027-done <at> debbugs.gnu.org, 1795 <at> debbugs.gnu.org
> Date: Thu, 17 Feb 2011 00:04:01 -0500 (4 years, 48 weeks, 6 days ago)
>
> Version: 24.1
>
> As a test, I have set shell-delimiter-argument-list to nil in the Emacs
> trunk. It fixes this issue, but may cause other issues.
>
> If it does, maybe add something like shell-delimiter-no-break-re (cf
> f90.el) that specifies a list of tokens containing delimiter characters
> that are NOT to be broken.
>
> ----------
>
> From: relson@osage
> Subject: 23.2; shell problem with $( and !!
> To: bug-gnu-emacs@HIDDEN, 1795 <at> debbugs.gnu.org
> Date: Sat, 12 Feb 2011 20:32:16 -0500
> Date: Sat, 12 Feb 2011 20:32:16 -0500 (4 years, 49 weeks, 4 days ago)
>
> In a shell window using "!!<tab>" when the previous command uses "$(
> ... )" improperaly adds a space between the "$" and the "(".
>
> Starting with a directory containg a file named "test", here's how to demonstrate the problem:
>
> 1) In a shell window I can execute "find . -name test" and it'll find the 1
> file that's truly in the current directory.
>
> 2) I can then execute 'ls -l !!<tab>' and the expansion will be "ls -l
> `find . -name  test`" which is correct.
>
> 3) I can also execute 'ls -l $( find . -name test)` and the test file will
> be correctly listed.
>
> 4) However, if I then type 'ls -l !!<tab>' the "$(" becomes "$ (" (with
> a space in the middle), and the command fails.  
>
>
> In GNU Emacs 23.2.1 (x86_64-pc-linux-gnu, GTK+ Version 2.20.1)
>  of 2011-01-31 on osage
> Windowing system distributor `The X.Org Foundation', version 11.0.10902000
> configured using `configure  '--prefix=/usr' '--build=x86_64-pc-linux-gnu' '--host=x86_64-pc-linux-gnu' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--datadir=/usr/share' '--sysconfdir=/etc' '--localstatedir=/var/lib' '--libdir=/usr/lib64' '--program-suffix=-emacs-23' '--infodir=/usr/share/info/emacs-23' '--with-crt-dir=/usr/lib/gcc/x86_64-pc-linux-gnu/4.5.2/../../../../lib64' '--with-gameuser=games' '--with-sound' '--with-x' '--without-gconf' '--without-toolkit-scroll-bars' '--with-gif' '--with-jpeg' '--with-png' '--with-rsvg' '--with-tiff' '--with-xpm' '--without-xft' '--without-libotf' '--without-m17n-flt' '--with-x-toolkit=gtk' '--without-hesiod' '--without-kerberos' '--without-kerberos5' '--with-gpm' '--with-dbus' 'build_alias=x86_64-pc-linux-gnu' 'host_alias=x86_64-pc-linux-gnu' 'CFLAGS=-march=athlon64 -O2 -pipe' 'LDFLAGS=-Wl,-O1 -Wl,--as-needed' 'CPPFLAGS=''
>
> Important settings:
>   value of $LC_ALL: en_US.UTF-8
>   value of $LC_COLLATE: nil
>   value of $LC_CTYPE: nil
>   value of $LC_MESSAGES: nil
>   value of $LC_MONETARY: nil
>   value of $LC_NUMERIC: nil
>   value of $LC_TIME: nil
>   value of $LANG: en_US.UTF-8
>   value of $XMODIFIERS: nil
>   locale-coding-system: utf-8-unix
>   default enable-multibyte-characters: t
>
> Major mode: Shell
>
> Minor modes in effect:
>   shell-dirtrack-mode: t
>   tooltip-mode: t
>   mouse-wheel-mode: t
>   tool-bar-mode: t
>   menu-bar-mode: t
>   file-name-shadow-mode: t
>   global-font-lock-mode: t
>   font-lock-mode: t
>   blink-cursor-mode: t
>   auto-encryption-mode: t
>   auto-compression-mode: t
>   line-number-mode: t
>   transient-mark-mode: t
>
> Recent input:
> <escape> x s h e l l <return> f i n d SPC . SPC - n 
> a m e SPC t e s t <return> l s SPC - l SPC ` ! ! ` 
> <tab> <return> l s SPC - l SPC $ ( SPC f i n d SPC 
> SPC <backspace> . SPC - n a m e SPC t e s t S-SPC ) 
> <return> ! ! <tab> <return> <escape> x r e p o <tab> 
> r <tab> <return>
>
> Recent messages:
> For information about GNU Emacs and the GNU system, type C-h C-a.
> History item: previous [2 times]
> Making completion list...
>
> Load-path shadows:
> None found.
>
> Features:
> (shadow sort mail-extr message idna sendmail regexp-opt ecomplete rfc822
> mml mml-sec password-cache mm-decode mm-bodies mm-encode mailcap
> mail-parse rfc2231 rfc2047 rfc2045 qp ietf-drums mailabbrev nnheader
> gnus-util netrc time-date mm-util mail-prsvr gmm-utils wid-edit
> mailheader canlock sha1 hex-util hashcash mail-utils emacsbug help-mode
> easymenu view ansi-color shell comint ring tooltip ediff-hook vc-hooks
> lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image fringe
> lisp-mode register page menu-bar rfn-eshadow timer select scroll-bar
> mldrag mouse jit-lock font-lock syntax facemenu font-core frame cham
> georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
> korean japanese hebrew greek romanian slovak czech european ethiopic
> indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
> abbrev loaddefs button minibuffer faces cus-face files text-properties
> overlay md5 base64 format env code-pages mule custom widget
> hashtable-print-readable backquote make-network-process dbusbind gtk
> x-toolkit x multi-tty emacs)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1795; Package emacs. Full text available.

Message received at 1795 <at> debbugs.gnu.org:


Received: (at 1795) by debbugs.gnu.org; 9 Jan 2016 22:26:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 09 17:26:42 2016
Received: from localhost ([127.0.0.1]:44704 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aI1y5-0006pC-F1
	for submit <at> debbugs.gnu.org; Sat, 09 Jan 2016 17:26:41 -0500
Received: from mail-wm0-f41.google.com ([74.125.82.41]:36449)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <athird@HIDDEN>) id 1aI1y2-0006ox-7T
 for 1795 <at> debbugs.gnu.org; Sat, 09 Jan 2016 17:26:39 -0500
Received: by mail-wm0-f41.google.com with SMTP id l65so171890406wmf.1
 for <1795 <at> debbugs.gnu.org>; Sat, 09 Jan 2016 14:26:38 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20120113;
 h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-type;
 bh=zn9fmA66v/R+jBEt+kQQeoRO3Oh0BiU2/GHgk7GSb4w=;
 b=GeUgtHd+kC6SPC/Vf9NEKdUa0ZnH8AhvIj5uZh48h4/OkT6UJhmM3IX/DboPyQdhzI
 QImfrWEA0jyFHyrjf81TkbqwYnB2Cj3E4XJl2Fcr7XIzBIx/Amy02GyNyhJM0QsGXCbY
 bneQT6wVOfEF05uqjcsz8gc2xYa20hKpzea3FYzT5wG+ugxREeaCRBf8h5XiZ6dfx870
 yQMkm1bdA4zasReO45mrTHfZeOnYqZsRu6jqfQVPFXs5i3bkSfSXCZhlbL3ECoch0VEX
 iXWnXncVVejH0Q/xRFu2n65TXEjjghrkoprl3ahuI/Cy0lrKvwlwteo19htfMCEjzszl
 jNgg==
X-Received: by 10.194.236.38 with SMTP id ur6mr126795311wjc.13.1452378392671; 
 Sat, 09 Jan 2016 14:26:32 -0800 (PST)
Received: from galloway.idiocy.org
 (0.7.b.e.8.2.9.3.1.4.b.f.c.3.0.3.9.2.1.8.8.f.3.0.0.b.8.0.1.0.0.2.ip6.arpa.
 [2001:8b0:3f8:8129:303c:fb41:3928:eb70])
 by smtp.gmail.com with ESMTPSA id c203sm5628792wmd.5.2016.01.09.14.26.31
 for <1795 <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sat, 09 Jan 2016 14:26:31 -0800 (PST)
From: Alan J Third <alan@HIDDEN>
To: <1795 <at> debbugs.gnu.org>
Subject: Re: bug#1795: shell regressions
References: <20091112190005.1111da09@HIDDEN>
Date: Sat, 09 Jan 2016 22:26:30 +0000
In-Reply-To: <20091112190005.1111da09@HIDDEN> (David Relson's
 message of "Thu, 12 Nov 2009 19:00:05 -0500")
Message-ID: <m237u68k4p.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.5 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 1795
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

David Relson <relson@HIDDEN> writes:

> Two problems with the fix:
>
> 1) "!1" (bang, one) -- continues to insert a space between "$" and "("
> 2) "!$" (bang, dollar) -- pulls in the complete previous line, not just
> the line's last token.

It looks to me like 2 is fixed in 25, however 1 is definitely still there.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1795; Package emacs. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
bug No longer marked as fixed in versions 24.1. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug unarchived. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug archived. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
Merged 1795 5007 8027. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 1795 5007. Request was from Glenn Morris <rgm@HIDDEN> to control@HIDDEN. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control@HIDDEN. Full text available.

Message received at 1795@HIDDEN:


Received: (at 1795) by emacsbugs.donarmstrong.com; 13 Nov 2009 00:00:12 +0000
From relson@HIDDEN Thu Nov 12 16:00:11 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-0.0 required=4.0 tests=SPF_HELO_PASS autolearn=ham
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from mail.osagesoftware.com (osagesoftware.com [216.144.204.42])
	by rzlab.ucr.edu (8.14.3/8.14.3/Debian-5) with ESMTP id nAD009Sq007288
	for <1795@HIDDEN>; Thu, 12 Nov 2009 16:00:10 -0800
Received: from osage.osagesoftware.com (osage.osagesoftware.com [192.168.1.10])
	by mail.osagesoftware.com (Postfix) with ESMTP id 33B242331
	for <1795@HIDDEN>; Thu, 12 Nov 2009 19:00:05 -0500 (EST)
Date: Thu, 12 Nov 2009 19:00:05 -0500
From: David Relson <relson@HIDDEN>
To: <1795 <at> debbugs.gnu.org>
Subject: shell regressions
Message-ID: <20091112190005.1111da09@HIDDEN>
Organization: Osage Software Systems, Inc.
X-Mailer: Claws Mail 3.7.3 (GTK+ 2.16.6; x86_64-pc-linux-gnu)
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit

Two problems with the fix:

1) "!1" (bang, one) -- continues to insert a space between "$" and "("
2) "!$" (bang, dollar) -- pulls in the complete previous line, not just
the line's last token.



Acknowledgement sent to David Relson <relson@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#1795; Package emacs. Full text available.

Message received at 1795-done@HIDDEN:


Received: (at 1795-done) by emacsbugs.donarmstrong.com; 3 Nov 2009 00:40:16 +0000
From cyd@HIDDEN Mon Nov  2 16:40:16 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-0.3 required=4.0 tests=AWL autolearn=ham
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from pantheon-po27.its.yale.edu (pantheon-po27.its.yale.edu [130.132.50.122])
	by rzlab.ucr.edu (8.14.3/8.14.3/Debian-5) with ESMTP id nA30eEZl023146
	for <1795-done@HIDDEN>; Mon, 2 Nov 2009 16:40:16 -0800
Received: from furry (adsl-99-69-52-129.dsl.wlfrct.sbcglobal.net [99.69.52.129])
	(authenticated bits=0)
	by pantheon-po27.its.yale.edu (8.12.11.20060308/8.12.11) with ESMTP id nA30e8xv004426
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NOT);
	Mon, 2 Nov 2009 19:40:09 -0500
Received: by furry (Postfix, from userid 1000)
	id E913FC070; Mon,  2 Nov 2009 19:40:07 -0500 (EST)
From: Chong Yidong <cyd@HIDDEN>
To: "Relson\, David" <david.relson@HIDDEN>
Cc: 1795-done <at> debbugs.gnu.org
Subject: Re: shell problem
Date: Mon, 02 Nov 2009 19:40:07 -0500
Message-ID: <874opc7860.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-YaleITSMailFilter: Version 1.2c (attachment(s) not renamed)

> Within an emacs bash shell, using "!!" to re-execute a command with
> "$( ... )" in it results in a space inserted between the dollar sign
> and the left paren.  The inserted space should _not_ be present.

Sorry for the delay; I've just checked a fix into CVS trunk.  Thanks for
the bug report.



Notification sent to relson@osage:
bug acknowledged by developer. Full text available.
Reply sent to Chong Yidong <cyd@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 1795@HIDDEN:


Received: (at 1795) by emacsbugs.donarmstrong.com; 29 Jan 2009 15:41:07 +0000
From david.relson@HIDDEN Thu Jan 29 07:41:07 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=0.0 required=4.0 tests=none autolearn=ham
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from barracuda.orion-sys.com (barracuda.orion-sys.com [192.149.240.6])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n0TFf4OI003118
	for <1795@HIDDEN>; Thu, 29 Jan 2009 07:41:06 -0800
X-ASG-Debug-ID: 1233243500-7b2300260000-tiHMB2
X-Barracuda-URL: http://192.149.240.6:8000/cgi-bin/mark.cgi
Received: from mailsvr.orion-sys.com (localhost [127.0.0.1])
	by barracuda.orion-sys.com (Spam Firewall) with ESMTP id 742BA202DFB1
	for <1795@HIDDEN>; Thu, 29 Jan 2009 10:38:43 -0500 (EST)
Received: from mailsvr.orion-sys.com (mailsvr.orion-sys.com [192.149.240.91]) by barracuda.orion-sys.com with ESMTP id kVOHSbDzsAtEAmuP for <1795@HIDDEN>; Thu, 29 Jan 2009 10:38:41 -0500 (EST)
Content-class: urn:content-classes:message
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
X-ASG-Orig-Subj: inserted spaces
Subject: inserted spaces
X-MimeOLE: Produced By Microsoft Exchange V6.5
Date: Thu, 29 Jan 2009 10:37:52 -0500
Message-ID: <91FA647A1A781F41BBB0359765C90C15C2E3E6@HIDDEN>
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
Thread-Topic: inserted spaces
Thread-Index: AcmCJ4xqehom6RPPSx6NrNNNzIoKDw==
From: "Relson, David" <david.relson@HIDDEN>
To: <1795 <at> debbugs.gnu.org>
X-Barracuda-Connect: mailsvr.orion-sys.com[192.149.240.91]
X-Barracuda-Start-Time: 1233243562
X-Barracuda-Virus-Scanned: by Barracuda Spam Firewall at orion-sys.com

Recalling previous commands inserts spaces in other cases besides "$(".
For example,=20

   ">|" becomes "> |"
   "2>&1" becomes "2 > & 1"





Acknowledgement sent to "Relson, David" <david.relson@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#1795; Package emacs. Full text available.

Message received at submit@HIDDEN:


Received: (at submit) by emacsbugs.donarmstrong.com; 5 Jan 2009 23:00:38 +0000
From relson@HIDDEN Mon Jan  5 15:00:38 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: **
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=2.8 required=4.0 tests=FB_WORD1_END_DOLLAR,
	FH_FROMEML_NOTLD,FOURLA autolearn=no version=3.2.5-bugs.debian.org_2005_01_02
Received: from lists.gnu.org (lists.gnu.org [199.232.76.165])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n05N0YsW027264
	for <submit@HIDDEN>; Mon, 5 Jan 2009 15:00:35 -0800
Received: from mailman by lists.gnu.org with tmda-scanned (Exim 4.43)
	id 1LJyQz-0001VX-N8
	for bug-gnu-emacs@HIDDEN; Mon, 05 Jan 2009 18:00:33 -0500
Received: from exim by lists.gnu.org with spam-scanned (Exim 4.43)
	id 1LJyQu-0001U6-8E
	for bug-gnu-emacs@HIDDEN; Mon, 05 Jan 2009 18:00:33 -0500
Received: from [199.232.76.173] (port=60585 helo=monty-python.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43)
	id 1LJyQt-0001U3-VQ
	for bug-gnu-emacs@HIDDEN; Mon, 05 Jan 2009 18:00:28 -0500
Received: from osagesoftware.com ([216.144.204.42]:53013 helo=mail.osagesoftware.com)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <relson@HIDDEN>)
	id 1LJyQt-0005bd-BS
	for bug-gnu-emacs@HIDDEN; Mon, 05 Jan 2009 18:00:27 -0500
Received: from osage (osage.osagesoftware.com [192.168.1.10])
	by mail.osagesoftware.com (Postfix) with SMTP id 440AA7BC87
	for <bug-gnu-emacs@HIDDEN>; Mon,  5 Jan 2009 18:00:25 -0500 (EST)
Received: by osage (sSMTP sendmail emulation); Mon,  5 Jan 2009 18:00:25 -0500
From: relson@osage
Date: Mon,  5 Jan 2009 18:00:25 -0500
To: bug-gnu-emacs@HIDDEN
Subject: shell problem
Message-Id: <20090105230025.440AA7BC87@HIDDEN>
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6 (newer, 1)


Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the bug-gnu-emacs@HIDDEN mailing list,
and to the gnu.emacs.bug news group.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

Within an emacs bash shell, using "!!" to re-execute a command with
"$( ... )" in it results in a space inserted between the dollar sign
and the left paren.  The inserted space should _not_ be present.

###### Here's the dribble file ######

<escape>xshell<return>ls -l $( 0x2000020locate /.emc<backspace>acs | grep emacs$ 0x2000020)<return>!!<tab><return>exit<return> 0x4000020<escape><session.txt<return>

###### Here's the content of the *shell* window ######

relson@osage ~ $ ls -l $( locate /.emacs | grep emacs$ )
-rwxr--r-- 1 relson relson 1506 1999-05-07 07:34 /home/backuppc/maple/d-drive/Backups/viper/c/.emacs
-rwxr--r-- 1 relson relson 1506 1999-05-07 07:34 /home/backuppc/WinNT/d-drive/Backups/viper/c/.emacs
-rwxr--r-- 1 relson relson 7007 2004-04-10 08:46 /home/nic/home/relson/.emacs
-rwxr-xr-x 1 relson relson 8617 2005-06-27 11:27 /home/relson/Orion/cygwin/.emacs
-rw-r--r-- 1 relson relson 2923 2006-11-02 15:54 /home/relson/Orion/emacs.d/.emacs
-rwxr-xr-x 1 relson relson 6788 2004-12-25 18:03 /home/relson/Orion/emacs.d/emacs-20041225/.emacs
-rwxr-xr-x 1 relson relson 6788 2004-12-25 18:03 /home/relson/Orion/emacs.d/emacs-20050607/.emacs
relson@osage ~ $ ls -l $ ( locate /.emacs | grep emacs$ )
bash: syntax error near unexpected token `('
relson@osage ~ $ exit
exit

Process shell exited abnormally with code 2

###### end of *shell* window contents ######

Note: my home directory, i.e. /home/relson, does _not_ have .emacs file

############################################

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/usr/share/emacs/22.3/etc/DEBUG for instructions.


In GNU Emacs 22.3.1 (x86_64-pc-linux-gnu, GTK+ Version 2.12.11)
 of 2008-12-30 on osage
Windowing system distributor `The X.Org Foundation', version 11.0.10300000
configured using `configure  '--prefix=/usr' '--host=x86_64-pc-linux-gnu' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--datadir=/usr/share' '--sysconfdir=/etc' '--localstatedir=/var/lib' '--program-suffix=-emacs-22' '--infodir=/usr/share/info/emacs-22' '--without-carbon' '--with-sound' '--with-x' '--without-toolkit-scroll-bars' '--with-jpeg' '--with-tiff' '--with-gif' '--with-png' '--with-xpm' '--with-x-toolkit=gtk' '--without-hesiod' '--without-kerberos' '--without-kerberos5' '--libdir=/usr/lib64' '--build=x86_64-pc-linux-gnu' 'build_alias=x86_64-pc-linux-gnu' 'host_alias=x86_64-pc-linux-gnu' 'CFLAGS=-march=athlon64 -O2 -pipe' 'LDFLAGS=-Wl,-O1''

Important settings:
  value of $LC_ALL: en_US.UTF-8
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8
  default-enable-multibyte-characters: t

Major mode: Text

Minor modes in effect:
  encoded-kbd-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  unify-8859-on-encoding-mode: t
  utf-translate-cjk-mode: t
  auto-compression-mode: t
  line-number-mode: t

Recent input:
<help-echo> <help-echo> <help-echo> C-x C-f s e s <tab> 
<return> C-x C-f d r i <tab> <return> <escape> > C-x 
b <return> <help-echo> <help-echo> <escape> x t r u 
<tab> <return> <escape> x r e p o <tab> r <tab> <r
eturn>

Recent messages:
Loading ansi-color...done
Loading encoded-kb...done
Toggling font-lock-mode off; better pass an explicit argument.
For information about GNU Emacs and the GNU system, type <f1> C-a.
Mark set
Making completion list...
Loading help-mode...done
Loading emacsbug...
Loading regexp-opt...done
Loading emacsbug...done





Acknowledgement sent to relson@osage:
New bug report received and forwarded. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Report forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#1795; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 8 May 2022 14:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.